Ajp13SocketConnector (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.ajp

## Class Ajp13SocketConnector

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.component.AggregateLifeCycle
    - - org.eclipse.jetty.server.AbstractConnector
      - - org.eclipse.jetty.server.bio.SocketConnector
        - - org.eclipse.jetty.ajp.Ajp13SocketConnector

- All Implemented Interfaces:
    HttpBuffers, Connector, Destroyable, Dumpable, LifeCycle

      public class Ajp13SocketConnector
      extends SocketConnector

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.server.bio.SocketConnector

      `SocketConnector.ConnectorEndPoint`

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `AbstractLifeCycle.AbstractLifeCycleListener`

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `LifeCycle.Listener`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.server.bio.SocketConnector

      `_connections, _localPort, _serverSocket`

    - ### Fields inherited from class org.eclipse.jetty.server.AbstractConnector

      `_buffers, _lowResourceMaxIdleTime, _maxIdleTime, _soLingerTime`

    - ### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ajp13SocketConnector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `customize(EndPoint endpoint, Request request)` Customize a request for an endpoint.
    `protected void` | `doStart()` Start the managed lifecycle beans in the order they were added.
    `boolean` | `isConfidential(Request request)`
    `boolean` | `isIntegral(Request request)`
    `protected Connection` | `newConnection(EndPoint endpoint)` Allows subclass to override Conection if required.
    `void` | `setAllowShutdown(boolean allowShutdown)`
    `void` | `setHeaderBufferSize(int headerBufferSize)` Deprecated.
    `void` | `setRequestBufferSize(int requestBufferSize)` Set the size of the content buffer for receiving requests.
    `void` | `setResponseBufferSize(int responseBufferSize)` Set the size of the content buffer for sending responses.
    `void` | `setSecretWord(String secretWord)`

    - ### Methods inherited from class org.eclipse.jetty.server.bio.SocketConnector

      `accept, close, doStop, dump, getConnection, getLocalPort, newServerSocket, open`

    - ### Methods inherited from class org.eclipse.jetty.server.AbstractConnector

      `checkForwardedHeaders, configure, connectionClosed, connectionOpened, connectionUpgraded, getAcceptorPriorityOffset, getAcceptors, getAcceptQueueSize, getConfidentialPort, getConfidentialScheme, getConnections, getConnectionsDurationMax, getConnectionsDurationMean, getConnectionsDurationStdDev, getConnectionsDurationTotal, getConnectionsOpen, getConnectionsOpenMax, getConnectionsRequestsMax, getConnectionsRequestsMean, getConnectionsRequestsStdDev, getForwardedCipherSuiteHeader, getForwardedForHeader, getForwardedHostHeader, getForwardedProtoHeader, getForwardedServerHeader, getForwardedSslSessionIdHeader, getHost, getHostHeader, getIntegralPort, getIntegralScheme, getLeftMostFieldValue, getLowResourceMaxIdleTime, getLowResourcesMaxIdleTime, getMaxBuffers, getMaxIdleTime, getName, getPort, getRequestBuffers, getRequestBufferSize, getRequestBufferType, getRequestHeaderSize, getRequestHeaderType, getRequests, getResolveNames, getResponseBuffers, getResponseBufferSize, getResponseBufferType, getResponseHeaderSize, getResponseHeaderType, getReuseAddress, getServer, getSoLingerTime, getStatsOn, getStatsOnMs, getThreadPool, isForwarded, isLowResources, join, persist, setAcceptorPriorityOffset, setAcceptors, setAcceptQueueSize, setConfidentialPort, setConfidentialScheme, setForwarded, setForwardedCipherSuiteHeader, setForwardedForHeader, setForwardedHostHeader, setForwardedProtoHeader, setForwardedServerHeader, setForwardedSslSessionIdHeader, setHost, setHostHeader, setIntegralPort, setIntegralScheme, setLowResourceMaxIdleTime, setLowResourcesMaxIdleTime, setMaxBuffers, setMaxIdleTime, setName, setPort, setRequestBuffers, setRequestHeaderSize, setResolveNames, setResponseBuffers, setResponseHeaderSize, setReuseAddress, setServer, setSoLingerTime, setStatsOn, setThreadPool, statsReset, stopAccept, toString`

    - ### Methods inherited from class org.eclipse.jetty.util.component.AggregateLifeCycle

      `addBean, addBean, contains, destroy, dump, dump, dump, dump, dumpObject, dumpStdErr, dumpThis, getBean, getBeans, getBeans, isManaged, manage, removeBean, removeBeans, unmanage`

    - ### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `addLifeCycleListener, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

    - ### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable

      `dump`

- - ### Constructor Detail

    - #### Ajp13SocketConnector

          public Ajp13SocketConnector()

  - ### Method Detail

    - #### doStart

          protected void doStart()
                          throws Exception

      Description copied from class: `AggregateLifeCycle`
      Start the managed lifecycle beans in the order they were added.
      Overrides:
        `doStart` in class `SocketConnector`
      Throws:
        `Exception`
      See Also:
        `AbstractLifeCycle.doStart()`

    - #### customize

          public void customize(EndPoint endpoint,
                       Request request)
                         throws IOException

      Description copied from interface: `Connector`
      Customize a request for an endpoint. Called on every request to allow customization of the request for the particular endpoint (eg security properties from a SSL connection).
      Specified by:
        `customize` in interface `Connector`
      Overrides:
        `customize` in class `SocketConnector`
      Throws:
        `IOException`

    - #### newConnection

          protected Connection newConnection(EndPoint endpoint)

      Description copied from class: `SocketConnector`
      Allows subclass to override Conection if required.
      Overrides:
        `newConnection` in class `SocketConnector`

    - #### isConfidential

          public boolean isConfidential(Request request)

      Specified by:
        `isConfidential` in interface `Connector`
      Overrides:
        `isConfidential` in class `AbstractConnector`
      Parameters:
        `request` - A request
      Returns:
        true if the request is confidential. This normally means the https schema has been used.

    - #### isIntegral

          public boolean isIntegral(Request request)

      Specified by:
        `isIntegral` in interface `Connector`
      Overrides:
        `isIntegral` in class `AbstractConnector`
      Parameters:
        `request` - A request
      Returns:
        true if the request is integral. This normally means the https schema has been used.

    - #### setHeaderBufferSize

          @Deprecated
          public void setHeaderBufferSize(int headerBufferSize)

      Deprecated.

    - #### setRequestBufferSize

          public void setRequestBufferSize(int requestBufferSize)

      Description copied from interface: `Connector`
      Set the size of the content buffer for receiving requests. These buffers are only used for active connections that have requests with bodies that will not fit within the header buffer.
      Specified by:
        `setRequestBufferSize` in interface `HttpBuffers`
      Specified by:
        `setRequestBufferSize` in interface `Connector`
      Overrides:
        `setRequestBufferSize` in class `AbstractConnector`
      Parameters:
        `requestBufferSize` - the requestBufferSize to set

    - #### setResponseBufferSize

          public void setResponseBufferSize(int responseBufferSize)

      Description copied from interface: `Connector`
      Set the size of the content buffer for sending responses. These buffers are only used for active connections that are sending responses with bodies that will not fit within the header buffer.
      Specified by:
        `setResponseBufferSize` in interface `HttpBuffers`
      Specified by:
        `setResponseBufferSize` in interface `Connector`
      Overrides:
        `setResponseBufferSize` in class `AbstractConnector`
      Parameters:
        `responseBufferSize` - the responseBufferSize to set

    - #### setAllowShutdown

          public void setAllowShutdown(boolean allowShutdown)

    - #### setSecretWord

          public void setSecretWord(String secretWord)

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.